package com.unis.module.coding.dal.mysql.zjxx;

import java.util.*;

import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.unis.framework.mybatis.core.mapper.BaseMapperX;
import com.unis.module.coding.dal.dataobject.zjxx.ZjxxDO;
import org.apache.ibatis.annotations.Mapper;
import com.unis.module.coding.controller.admin.zjxx.vo.*;

/**
 * 质检信息 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface ZjxxMapper extends BaseMapperX<ZjxxDO> {

    default PageResult<ZjxxDO> selectPage(ZjxxPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ZjxxDO>()
                .eqIfPresent(ZjxxDO::getCfId, reqVO.getCfId())
                .eqIfPresent(ZjxxDO::getHwkId, reqVO.getHwkId())
                .eqIfPresent(ZjxxDO::getJclx, reqVO.getJclx())
                .eqIfPresent(ZjxxDO::getJcsj, reqVO.getJcsj())
                .orderByDesc(ZjxxDO::getId));
    }

}